org.apache.ignite.internal.visor.cache

## Class VisorCacheStartTask.VisorCacheStartArg

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheStartTask.VisorCacheStartArg

All Implemented Interfaces:
  Serializable

Enclosing class:
  VisorCacheStartTask

    public static class VisorCacheStartTask.VisorCacheStartArg
    extends Object
    implements Serializable

Cache start arguments.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheStartTask.VisorCacheStartArg(boolean near, String name, String cfg)`

### Method Summary

Methods
`String` `configuration()`
`String` `name()`
`boolean` `near()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheStartTask.VisorCacheStartArg

    public VisorCacheStartTask.VisorCacheStartArg(boolean near,
                                          String name,
                                          String cfg)

Parameters:
  `near` - `true` if near cache should be started.
  `name` - Name for near cache.
  `cfg` - Cache XML configuration.

### Method Detail

#### near

    public boolean near()

Returns:
  `true` if near cache should be started.

#### name

    public String name()

Returns:
  Name for near cache.

#### configuration

    public String configuration()

Returns:
  Cache XML configuration.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015